Name:           packman-release
Version:        38
Release:        2%{?dist}
Summary:        Packman Repository Configuration

License:        GPLv2
URL:            http://packman.links2linux.de/

# All Fedora packmen
Source11:	packman-ralcor.asc

Source99:	packman.repo

BuildArch:      noarch
Requires:	fedora-release >= %{fedora}

%description
This package contains the dnf-configuration file to access Packman.

%prep
%setup -T -c -n %{name}-%{version}

%build

%install
cp %{SOURCE99} packman.repo

# Install all key files
for src in $RPM_SOURCE_DIR/packman*.asc;\
do
  dst="RPM-GPG-KEY-$(basename $src .asc)"
  install -D -m 0644 $src $RPM_BUILD_ROOT/etc/pki/rpm-gpg/$dst
done

# Activate only those keys we know to be used for Fedora
i=0
for src in ralcor;\
do
  if [[ $i -lt 1 ]]; then 
    echo -ne "gpgkey=" >> packman.repo
    i=$(($i + 1))
  else
    echo -ne "\t" >> packman.repo
  fi
  echo "file:///etc/pki/rpm-gpg/RPM-GPG-KEY-packman-$src" >> packman.repo
done

install -D -m 0644 packman.repo $RPM_BUILD_ROOT/etc/yum.repos.d/packman.repo

%files
/etc/pki/rpm-gpg/*
%config(noreplace) /etc/yum.repos.d/*


%changelog
* Thu Apr 20 2023 Ralf Corsepius <ralf[AT]links2linux.de> - 38-2
- Rename packman-ralcor.gpg into RPM-GPG-KEY-packman-ralcor.

* Wed Apr 19 2023 Ralf Corsepius <ralf[AT]links2linux.de> - 38-1
- Bump version.
- Replace packman-ralcor.asc to comply with fedora >= 38's rpm.

* Tue Sep 13 2022 Ralf Corsepius <ralf[AT]links2linux.de> - 37-1
- Bump version.

* Thu Mar 03 2022 Ralf Corsepius <ralf[AT]links2linux.de> - 36-1
- Bump version.
- Switch to using baseurls (Too many broken mirrors in mirrorlist).

* Sat Sep 11 2021 Ralf Corsepius <ralf[AT]links2linux.de> - 35-1
- Bump version.

* Mon May 03 2021 Ralf Corsepius <ralf[AT]links2linux.de> - 34-1
- Bump version.
- Remove whitespace in packman.repo.

* Wed Feb 06 2019 Ralf Corsepius <ralf[AT]links2linux.de> - 28-1
- Bump version.

* Wed Sep 20 2017 Ralf Corsepius <ralf[AT]links2linux.de> - 27-1
- Bump version.

* Wed Mar 08 2017 Ralf Corsepius <ralf[AT]links2linux.de> - 26-1
- Bump version.
